package com.bankaudit.dto.process;

import java.util.List;
import java.util.Map;

import com.bankaudit.process.model.AuditLetterBiLingual;
import com.bankaudit.process.model.AuditLetterBiLingualWrk;
import com.bankaudit.process.model.AuditLetterUserInputs;
import com.bankaudit.process.model.AuditLetterUserInputsWrk;

public class AuditLettersDto {
	
	private AuditLetterUserInputs adtLtr;
	
	private AuditLetterUserInputsWrk adtLtrWrk;
	
	private Map<String, String> latestParamMap;
	
	private Map<String, String> dliDpiParamMap;
	
	private LettersSystemDataDto lettersSysDataDto;
	
	private Map<String, AuditObservationLetterDto> chklstDrvStmntMap;
	
	private Map<String, String> translatorMap;
	
	private List<NonCompliancePersistenceChecklistDto> nonCompliancePersistenceChecklistDto ;
	
	private Map<String, String> compositeRatingMap;
	
	private List<AuditLetterBiLingual> auditLetterBiLingualList;
	
	private List<AuditLetterBiLingualWrk> auditLetterBiLingualWrkList;

	public AuditLetterUserInputs getAdtLtr() {
		return adtLtr;
	}

	public void setAdtLtr(AuditLetterUserInputs adtLtr) {
		this.adtLtr = adtLtr;
	}

	public AuditLetterUserInputsWrk getAdtLtrWrk() {
		return adtLtrWrk;
	}

	public void setAdtLtrWrk(AuditLetterUserInputsWrk adtLtrWrk) {
		this.adtLtrWrk = adtLtrWrk;
	}

	public Map<String, String> getLatestParamMap() {
		return latestParamMap;
	}

	public void setLatestParamMap(Map<String, String> latestParamMap) {
		this.latestParamMap = latestParamMap;
	}

	public LettersSystemDataDto getLettersSysDataDto() {
		return lettersSysDataDto;
	}

	public void setLettersSysDataDto(LettersSystemDataDto lettersSysDataDto) {
		this.lettersSysDataDto = lettersSysDataDto;
	}

	public Map<String, AuditObservationLetterDto> getChklstDrvStmntMap() {
		return chklstDrvStmntMap;
	}

	public void setChklstDrvStmntMap(Map<String, AuditObservationLetterDto> chklstDrvStmntMap) {
		this.chklstDrvStmntMap = chklstDrvStmntMap;
	}

	public Map<String, String> getTranslatorMap() {
		return translatorMap;
	}

	public void setTranslatorMap(Map<String, String> translatorMap) {
		this.translatorMap = translatorMap;
	}

	public Map<String, String> getDliDpiParamMap() {
		return dliDpiParamMap;
	}

	public void setDliDpiParamMap(Map<String, String> dliDpiParamMap) {
		this.dliDpiParamMap = dliDpiParamMap;
	}

	public List<NonCompliancePersistenceChecklistDto> getNonCompliancePersistenceChecklistDto() {
		return nonCompliancePersistenceChecklistDto;
	}

	public void setNonCompliancePersistenceChecklistDto(
			List<NonCompliancePersistenceChecklistDto> nonCompliancePersistenceChecklistDto) {
		this.nonCompliancePersistenceChecklistDto = nonCompliancePersistenceChecklistDto;
	}

	public Map<String, String> getCompositeRatingMap() {
		return compositeRatingMap;
	}

	public void setCompositeRatingMap(Map<String, String> compositeRatingMap) {
		this.compositeRatingMap = compositeRatingMap;
	}

	public List<AuditLetterBiLingual> getAuditLetterBiLingualList() {
		return auditLetterBiLingualList;
	}

	public void setAuditLetterBiLingualList(List<AuditLetterBiLingual> auditLetterBiLingualList) {
		this.auditLetterBiLingualList = auditLetterBiLingualList;
	}

	public List<AuditLetterBiLingualWrk> getAuditLetterBiLingualWrkList() {
		return auditLetterBiLingualWrkList;
	}

	public void setAuditLetterBiLingualWrkList(List<AuditLetterBiLingualWrk> auditLetterBiLingualWrkList) {
		this.auditLetterBiLingualWrkList = auditLetterBiLingualWrkList;
	}
 	
}
